function multi = multiProfiles(starttime,startday,startmonth,totdays)
%1: Calls the getPrice function to find the electricity price
%2: Calls the getProfile function multiple times to get profiles for 
%   several days. Combines these into one flow object.

%1:
days.price= getPrice(starttime,startday,startmonth,totdays)
%2:
days.flow = [];
days.time = [];
for i=1:1:totdays+1 % +1 here to get 24-hour multpile data. Compensates for
    day = getProfile() %...the hours missed on first day due to "starttime"
    if i == 1  % if days.time doesn't have values days.time(end) won't work
        days.time = [days.time, day.time(starttime*60:end)]
        days.flow = [days.flow; day.flow(starttime*60:end)]
    else if i == totdays+1          % don't want to run all day if last day
        days.time = [days.time, day.time(2:starttime*60)+days.time(end)]
        days.flow = [days.flow; day.flow(2:starttime*60)]
        else      % if one of the regular days, extract data for entire day
        days.time = [days.time, day.time(2:end)+days.time(end)]
        days.flow = [days.flow; day.flow(2:end)]
        end
end
multi = days
end
