function pr = getPriceHour(starthour, startday, startmonth, days)
% Imports price.csv then extracts the 24 hour price estimate for a given
% number of days. Identical to getPrice.m except for the form of the 
% output. Here the ouput is just a straight extraction of data from the
% csv file.

clc
dayspermonth = [0,31,28,31,30,31,30,31,31,30,31,30,31]; % 0 for siplicity
datalength   = (24*days);                         % 24 datapoints per day
startp   = starthour + 24*((sum(dayspermonth(1:startmonth)))+startday-1);
endp     = startp + datalength;
% having 0 as the first entry in dayspermonth simplifies the startp form.

pr = csvread('price.csv',startp,0,[startp,0,endp-1,0]);
end